# Balance History

| Environment | Method | URL                                                                      |
| ----------- | ------ | ------------------------------------------------------------------------ |
| Development | POST   | <https://devo.finnet.co.id/pg/payment/card/disbursement/balance/history> |
| Production  | POST   | <https://live.finnet.co.id/pg/payment/card/disbursement/balance/history> |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name         | Type                                                                 | Mandatory | Min Length | Max Length | Description            |
| -- | ------------ | -------------------------------------------------------------------- | --------- | ---------- | ---------- | ---------------------- |
| 1  | order        | [Object](/api-reference/appendix/json-object/order-object.md)        | M         | 1          | 12         | Detail of Order        |
| 2  | disbursement | [Object](/api-reference/appendix/json-object/disbursement-object.md) | O         | 1          | 11         | Detail of Disbursement |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "order": {
    "id": "{{orderId}}"
  },
  "startDate": "2023-06-01",
  "endDate": "2023-09-01"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type                                                              | Mandatory | Min Length | Max Length | Description              |
| -- | --------------- | ----------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------ |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | Response Code            |
| 2  | responseMessage | String                                                            | M         | 1          | 500        | Response Message         |
| 3  | refCode         | String                                                            | O         | 36         | 36         | Reference Code           |
| 4  | destAccName     | String                                                            | O         | 3          | 100        | Destination Account Name |
| 5  | feeAmount       | Number                                                            | O         |            |            | Amount Fee               |
| 6  | processingTime  | Number                                                            | M         |            |            | Processing Time          |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2000000",
  "responseMessage": "Success",
  "data": [
    {
      "date": "2023-08-30 19:49:14",
      "desc": "Transaksi atas PT Finnet dengan nomor transaksi 580871",
      "id": "16368432",
      "credit": "0",
      "debet": "3500",
      "syslogno": "2308300006612052"
    },
    {
      "date": "2023-08-30 17:24:18",
      "desc": "Top Up melalui Direct Debit dengan nomor transaksi 83553650",
      "id": "16368392",
      "credit": "5000000",
      "debet": "0",
      "syslogno": "2308300006611968"
    },
    {
      "date": "2023-08-29 21:20:26",
      "desc": "Bayar QRIS Merchant PT Finnet sebesar 40279 dengan tips 0",
      "id": "16367812",
      "credit": "0",
      "debet": "40279",
      "syslogno": "2308296610246"
    }
  ],
  "processingTime": 0.22426700592041016
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-disbursement/direct-integration-core-api/balance-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
